import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listTask(query) {
  return request({
    url: '/app/wcsTask/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getTask(wcsTaskId) {
  return request({
    url: '/app/wcsTask/' + wcsTaskId,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addTask(data) {
  return request({
    url: '/app/wcsTask',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateTask(data) {
  return request({
    url: '/app/wcsTask',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delTask(wcsTaskId) {
  return request({
    url: '/app/wcsTask/' + wcsTaskId,
    method: 'delete'
  })
}
